jump to navigation

KHTML 4 adesso rende perfettamente pollycoke :)

In News, pollycoke :) il 15/09/08 @ 22:40 trackback

KDE 4.1+svn861321 KHTML rendering pollycoke.net - pollycoke :)" rel="lightbox[pics3027]" href="/wp-content/uploads/2008/09/kde41svn-khtml-pollycoke.jpg">KDE 4.1+svn861321 KHTML rendering pollycoke.net - pollycoke :)


Konqueror 4, o meglio KHTML 4 ha da sempre mostrato pesanti problemi di visualizzazione con il mio diarietto, cosa che non accadeva con la versione 3. Tempo fa da queste stesse pagine avevo segnalato la cosa, ma in maniera del tutto informale: il team di KHTML non era stato avvisato di niente. Stasera però sono contento di poter dire che il bug è stato segnalato e risolto in tempi da record e da adesso KHTML4 non ha più alcun problema di resa con pollycoke.net :)

In passato mi è capitato di segnalare bug per KDE (cfr “Migrare a KDE 4: da Liferea ad Akregator“, e mi hanno pure risposto: cfr “Qualcuno si prende cura di Akregator per me :)“) ma dal momento che non uso molto Konqueror/KHTML non avevo pensato di riportare la cosa agli sviluppatori, e poi… francamente non immaginavo che qualcuno mi avrebbe fatto troppo caso!1 Invece… poco fa, appena tornato da una giornata bella e un po’ stancante, ho letto una mail di un famoso attore e sex symbol2, sviluppatore kde, personalità dietro al LUG Catania, KDE Italia, chissà cosa altro e… pollycoker tra i miei preferiti.

In quella mail ho avuto il piacere e l’onore di leggere che lui stesso ha aperto il bug #170650 per segnalare il malfunzionamento di KHTML con pollycoke.net e soprattutto di notare la celere risposta del team di KHTML: bug chiuso, KHTML4 migliorato e pollycoke pienamente fruibile, grazie! Ok, ennesima dimostrazione che non basta parlare dei difetti ma bisogna riportare bug… la prossima volta lo faccio e basta, promesso ;)

Ed ecco il modo perfetto per finire una bella giornata :)

Note all'articolo:

  1. Non pensavo che avrei invece potuto contribuire a fornire un testcase potenzialmente utile agli sviluppatori, nota per il futuro ;) []
  2. Questo link inseritelo voi, gli indizi sono tanti :F []

Pagine forse correlate:

Etichette: , , ,

Commenti »

1. ZeD - 15/09/08 @ 23:54

Spero di non offenderti, ma, a quanto pare, il bug non era tanto in khtml, ma nel tuo blog, dove tu dici che le pagine sono standard, quando in realtà non lo sono.

Onestamente avrei preferito il contrario…

2. Thunder Teaser - 16/09/08 @ 0:51

ZeD, se tu avessi letto i commenti al bug segnalato sapresti che non è un problema di come felipe struttura le pagine del suo blog, ma di come il controllo dtd si era rivelato troppo ottimista e non tutti i rendering engine lo “capivano”. È stato creato anche uno script d’esempio per dimostrarlo, dove non leggo nulla riguardante pollycoke, usato come test per il recente bugfix.

3. topogigio - 16/09/08 @ 1:45

gia….se sapessi come riportare un bug….ne avrei mandati almeno una decina!!!

alla fine spero sempre nel futuroooooo :P

4. Happy - 16/09/08 @ 9:24

Beh, questa è un’ottima notizia

5. ZeD - 16/09/08 @ 9:34

@Thunder Teaser

Eh, quindi il problema è di felipe che usa un dtd errato, in quanto dice di supportare la modalità XHTML strict quando in realtà usa una compatibilità al massimo con il dtd di un XHTML transitional

6. Diego - 16/09/08 @ 9:36

Strana la vita… ne avevo parlato solo qualche giorno fa sul forum su kde-it.org per commentare i difetti di KHML, e sono già costretto a rimangiarmi quello che ho detto. Vabbé sono notizie che fanno sempre piacere. :-)

7. Dass - 16/09/08 @ 10:09

io attendo con ansia che si apra bene gmail
pure cambiando user agent non funziona la chat e varie altre cose…
se sistemano questo abbandono firefox :-)

8. baxeico - 16/09/08 @ 10:57

@ZeD
che la colpa sia di felipe e del suo dtd o no, sta di fatto che con konqueror metà dei siti che apro si vedono male, e poco importa del perchè, firefox li visualizza ottimamente quindi deve farlo anche konqueror. Punto.

(sennò non arriveremo mai a qualcosa di utilizzabile da tutti^^ )

9. nk02 - 16/09/08 @ 10:58

ehm il commento 8 era mio, non so perchè sia apparso baxeico

10. felipe - 16/09/08 @ 11:16

@ZeD:
Offendermi? Per niente :)

Hai perfettamente ragione e completamente torto allo stesso tempo: come ti ha fatto notare Thunder Teaser, il problema non è il mio blog, che alla fine viene correttamente reso da tutti gli altri browser. Semmai è a monte, nella definizione/dichiarazione/gestione del DOCTYPE e nel modo in cui diverse parti di una pagina ne vengono influenzate (pensa solo al codice apportato dai plugin aggiuntivi…)

Non c’è alcun problema con gli altri browser e motori di resa *HTML (WebKit compreso, che deriva da KHTML) e perfino con la vecchia versione di KHTML solo perché sono più realistici e permissivi. Il fatto è che KHTML4 faceva delle assunzioni più “ottimistiche” di quanto fosse necessario, senza contare che le pagine web “del mondo reale” sono molto meno disciplinate e coerenti.

@topogigio:
Beh non c’è niente di così incredibile nel riportare un errore… Ci hai mai provato?

@Diego:
Magari invece hai contribuito a far sollevare la questione ;)

@Dass:
Per quello io (fa strano scritto in un post dedicato a KHTML) aspetto che si stabilizzi Konqueror/WebKit in modo da poter dire addio a Firefox :)

11. Diego - 16/09/08 @ 11:55

@Felipe:
nono, il bug era già stato inserito, ma è stato un caso che quando ne ho parlato il bug fosse appena stato inserito da due giorni:
ht tp://www.kde-it.org/e107_plugins/forum/forum_viewtopic.php?671

12. zetman - 16/09/08 @ 12:10

il problema non era affatto dovuto al doctype, il doctype e i dtd sono estremamente corretti, il blog è scritto in (X)html strict 1.0, l’unico problema era dovuto al browser che non leggeva correttamente il dtd, non era solo pollycoke a non rendere le pagine correttamente, milioni di alti siti presentavano lo stesso problema

Saluti

13. pera - 16/09/08 @ 16:28

da poco uso il kde4 e quindi il konqueror che come browser non mi sembra male!! l’unica cosa e’ che non riesco ad usare in modo corretto il flash(pur installando flashplugin-nonfree).. ho cercato un po di posti ma non ho trovato nulla.. sara’ che uso l’instabile intrepid??

14. Claudio - 16/09/08 @ 16:46

A parte il fatto che con kde4 aggiornato su intrepid non mi si vede ancora bene pollycoke uffa :-( direi che konqueror è bene indietro da Firefox.Un esempio? La mia yahoo mail non funziona per niente.

15. Luca Marchi - 16/09/08 @ 19:31

Scusa l’off-topic, ma mi potresti linkare questo sfondo?

16. Sha - 16/09/08 @ 19:52

I pollycoker vogliono il tuo sfondo! :)

17. klaus - 16/09/08 @ 22:44

già,un piccolo link per quel bellissimo sfondo??

18. daniele - 16/09/08 @ 23:46

Ciao,
domanda a parte..
dove hai preso lo sfondo !!??

io propongo che ogni volta che posti uno screenshot descrivi per filo e per segno dove recuperare e come installare tutti quegli eycandy che vedo…per quanto ci provo non riesco mai ad ottenere lo stesso risulatato !!!!!!!!!!!! :-)

ciao

19. daniele - 16/09/08 @ 23:48

mi sà che il browser non era aggiornato, non avevo letto che lo aveva già chiesto Klaus !! sorry
A dimostrazione comunque che vogliamo sapere tutto!!!

20. zuriigh - 17/09/08 @ 0:32

che senso ha proseguire a sviluppare KHTML quando ci si potrebbe focalizzare sul suo figlio diretto WebKit, ben più accreditato, usato e aprezzato in vari e svariati ambienti ??

giusto così … per chiedere

21. Turiddu - 17/09/08 @ 2:11

ciao,
scusa se inserisco in questo post ma mi chiedevo , perchè al passaggio da kde4.0 a 4.1 le notifiche quali kmix klipper o network manager sembrano non integrarsi sulla barra in basso?
anche nello screen di questo post in basso a destra l’ icona di kmiz ha un insolito riquadro tipico delle icone non integrate.
è così e ci attacchiamo o vi è soluzione?

22. m4rC0_p4 - 17/09/08 @ 10:46

Da poco sono passato anche io alla accoppiata Intrepid+KDE 4.1.1… e devo dire che “inaspettatamente” (KDE e’ troppo confusionario nelle impostazioni per i miei gusti) sto iniziando a prenderci la mano :)

Una delle cose a cui non riesco proprio ad abituarmi e’ konqueror (oltre a quell’obrobrio di Adept3) quindi, scusate la domanda niubba, non vi e’ un’alternativa valida compatibile con le QT4? Possibilmente che usi Webkit o Gecko al posto di KHTML? :S

23. felipe - 17/09/08 @ 11:25

@vogliamo-lo-sfondo!
Sono risalito al link dal nome del file, eccolo: http://dennern.deviantart.com/art/Skywards-39406052 :)

24. ioio - 17/09/08 @ 16:30

@ marco 26
esiste una build sperimentale di firefox con qt4. le build sono aggiornate spesso sulle nightly build di firefox, ed ogni tanto manca qualche icona di troppo. io non lo uso, ma puoi provare. Cmq sono d’accordo con te: firefox, synaptic, tracker (e forse i mediaplayer…) sono delle app che rimpiange chi (come me) passa a KDE (l’ho fatto di recente). Comunque sistemeranno adept e strigi a breve, e faranno un po’ di pulizia. A quel punto mancherà solo un browser innovativo per KDE, e con tutto il movimento che c’è ora intorno a webkit si puo’ essere ottimisti.

25. m4rC0_p4 - 17/09/08 @ 19:11

@ ioio 28
ho cercato un po’ in giro ma san google non mi e’ stato d’aiuto.
Potresti gentilmente dirmi dove trovarlo? :)

26. m4rC0_p4 - 17/09/08 @ 19:36

@ ioio 28
Rettifico… trovato… ma semplicemente improponibile :P
Per chi volesse dare un’occhiata questo e’ uno screenshot dell’ultima build disponibile (datata 14 sett 2008)… se non avessi letto che e’ in qt non vi avrei creduto :P
https://bugzilla.mozilla.org/attachment.cgi?id=338553

27. aNoNiMo - 17/09/08 @ 21:53

Il tuo konqueror, il mio per niente…

28. Luca Beltrame - 18/09/08 @ 13:48

@zuriigh: semplicemente perche’ gli sviluppatori di KHTML non vogliono che siano una o piu’ entita’ (Apple in particolare) a decidere dove un motore di rendering debba andare. A torto od a ragione non so, ma questi sono i fatti.

In ogni caso preferisco Konqueror rispetto a Firefox anche se ha piu’ problemi di rendering, perche’ la volpe di fuoco ha un’integrazione inesistente con KDE.

29. Dass - 18/09/08 @ 15:48

secondo me dovrebbero prendere le migliorie incluse in webkit e introdurle in khtml
ovviamente lasciando il nome khtml
del resto apple ha fatto questo rispetto a loro e ora si prende meriti…

30. Alec79ster - 26/09/08 @ 9:08

Ciao, io uso Hardy con kde4 ma il mio konqeror 4.1.1 con il tuo sito proprio non va. Sapresti aiutarmi? Approfitto per chiederti un buon convertitore audio e video da installare.